### Hierarchy

- Spinner

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Spinner(spec: ISpecification): Spinner

- - Defined in lib/renderable/spinner/index.ts:13

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Spinner

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/spinner/index.ts:13

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/spinner/index.ts:22

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc